# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/apm,xgene-slimpro-mbox.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: APM X-Gene SLIMpro mailbox

maintainers:
  - Khuong Dinh <khuong@os.amperecomputing.com>

description:
  The APM X-Gene SLIMpro mailbox is used to communicate messages between
  the ARM64 processors and the Cortex M3 (dubbed SLIMpro). It uses a simple
  interrupt based door bell mechanism and can exchange simple messages using the
  internal registers.

properties:
  compatible:
    const: apm,xgene-slimpro-mbox

  reg:
    maxItems: 1

  interrupts:
    items:
      - description: mailbox channel 0 doorbell
      - description: mailbox channel 1 doorbell
      - description: mailbox channel 2 doorbell
      - description: mailbox channel 3 doorbell
      - description: mailbox channel 4 doorbell
      - description: mailbox channel 5 doorbell
      - description: mailbox channel 6 doorbell
      - description: mailbox channel 7 doorbell

  '#mbox-cells':
    description: Number of mailbox channel.
    const: 1

required:
  - compatible
  - reg
  - interrupts
  - '#mbox-cells'

additionalProperties: false

examples:
  - |
    mailbox@10540000 {
        compatible = "apm,xgene-slimpro-mbox";
        reg = <0x10540000 0xa000>;
        #mbox-cells = <1>;
        interrupts = <0x0 0x0 0x4>,
                     <0x0 0x1 0x4>,
                     <0x0 0x2 0x4>,
                     <0x0 0x3 0x4>,
                     <0x0 0x4 0x4>,
                     <0x0 0x5 0x4>,
                     <0x0 0x6 0x4>,
                     <0x0 0x7 0x4>;
    };
